#if !defined(DECWRAP_H)
#define DECWRAP_H

#define	decContextClearStatus                  	__decContextClearStatus
#define	decContextDefault                      	__decContextDefault
#define	decContextGetRounding                  	__decContextGetRounding
#define	decContextGetStatus                    	__decContextGetStatus
#define	decContextRestoreStatus                	__decContextRestoreStatus
#define	decContextSaveStatus                   	__decContextSaveStatus
#define	decContextSetRounding                  	__decContextSetRounding
#define	decContextSetStatus                    	__decContextSetStatus
#define	decContextSetStatusFromString          	__decContextSetStatusFromString
#define	decContextSetStatusFromStringQuiet     	__decContextSetStatusFromStringQuiet
#define	decContextSetStatusQuiet               	__decContextSetStatusQuiet
#define	decContextStatusToString               	__decContextStatusToString
#define	decContextTestEndian                   	__decContextTestEndian
#define	decContextTestSavedStatus              	__decContextTestSavedStatus
#define	decContextTestStatus                   	__decContextTestStatus
#define	decContextZeroStatus                   	__decContextZeroStatus
#define	decDigitsFromDPD                       	__decDigitsFromDPD
#define	decDigitsToDPD                         	__decDigitsToDPD
#define	decDoubleAbs                           	__decDoubleAbs
#define	decDoubleAdd                           	__decDoubleAdd
#define	decDoubleAnd                           	__decDoubleAnd
#define	decDoubleCanonical                     	__decDoubleCanonical
#define	decDoubleClass                         	__decDoubleClass
#define	decDoubleClassString                   	__decDoubleClassString
#define	decDoubleCompare                       	__decDoubleCompare
#define	decDoubleCompareSignal                 	__decDoubleCompareSignal
#define	decDoubleCompareTotal                  	__decDoubleCompareTotal
#define	decDoubleCompareTotalMag               	__decDoubleCompareTotalMag
#define	decDoubleCopy                          	__decDoubleCopy
#define	decDoubleCopyAbs                       	__decDoubleCopyAbs
#define	decDoubleCopyNegate                    	__decDoubleCopyNegate
#define	decDoubleCopySign                      	__decDoubleCopySign
#define	decDoubleDigits                        	__decDoubleDigits
#define	decDoubleDivide                        	__decDoubleDivide
#define	decDoubleDivideInteger                 	__decDoubleDivideInteger
#define	decDoubleFMA                           	__decDoubleFMA
#define	decDoubleFromBCD                       	__decDoubleFromBCD
#define	decDoubleFromInt32                     	__decDoubleFromInt32
#define	decDoubleFromPacked                    	__decDoubleFromPacked
#define	decDoubleFromPackedChecked             	__decDoubleFromPackedChecked
#define	decDoubleFromString                    	__decDoubleFromString
#define	decDoubleFromUInt32                    	__decDoubleFromUInt32
#define	decDoubleFromWider                     	__decDoubleFromWider
#define	decDoubleGetCoefficient                	__decDoubleGetCoefficient
#define	decDoubleGetExponent                   	__decDoubleGetExponent
#define	decDoubleInvert                        	__decDoubleInvert
#define	decDoubleIsCanonical                   	__decDoubleIsCanonical
#define	decDoubleIsFinite                      	__decDoubleIsFinite
#define	decDoubleIsInfinite                    	__decDoubleIsInfinite
#define	decDoubleIsInteger                     	__decDoubleIsInteger
#define	decDoubleIsNaN                         	__decDoubleIsNaN
#define	decDoubleIsNormal                      	__decDoubleIsNormal
#define	decDoubleIsSignaling                   	__decDoubleIsSignaling
#define	decDoubleIsSignalling                  	__decDoubleIsSignalling
#define	decDoubleIsSigned                      	__decDoubleIsSigned
#define	decDoubleIsSubnormal                   	__decDoubleIsSubnormal
#define	decDoubleIsZero                        	__decDoubleIsZero
#define	decDoubleLogB                          	__decDoubleLogB
#define	decDoubleMax                           	__decDoubleMax
#define	decDoubleMaxMag                        	__decDoubleMaxMag
#define	decDoubleMin                           	__decDoubleMin
#define	decDoubleMinMag                        	__decDoubleMinMag
#define	decDoubleMinus                         	__decDoubleMinus
#define	decDoubleMultiply                      	__decDoubleMultiply
#define	decDoubleNextMinus                     	__decDoubleNextMinus
#define	decDoubleNextPlus                      	__decDoubleNextPlus
#define	decDoubleNextToward                    	__decDoubleNextToward
#define	decDoubleOr                            	__decDoubleOr
#define	decDoublePlus                          	__decDoublePlus
#define	decDoubleQuantize                      	__decDoubleQuantize
#define	decDoubleRadix                         	__decDoubleRadix
#define	decDoubleReduce                        	__decDoubleReduce
#define	decDoubleRemainder                     	__decDoubleRemainder
#define	decDoubleRemainderNear                 	__decDoubleRemainderNear
#define	decDoubleRotate                        	__decDoubleRotate
#define	decDoubleSameQuantum                   	__decDoubleSameQuantum
#define	decDoubleScaleB                        	__decDoubleScaleB
#define	decDoubleSetCoefficient                	__decDoubleSetCoefficient
#define	decDoubleSetExponent                   	__decDoubleSetExponent
#define	decDoubleShift                         	__decDoubleShift
#define	decDoubleShow                          	__decDoubleShow
#define	decDoubleSubtract                      	__decDoubleSubtract
#define	decDoubleToBCD                         	__decDoubleToBCD
#define	decDoubleToEngString                   	__decDoubleToEngString
#define	decDoubleToInt32                       	__decDoubleToInt32
#define	decDoubleToInt32Exact                  	__decDoubleToInt32Exact
#define	decDoubleToIntegralExact               	__decDoubleToIntegralExact
#define	decDoubleToIntegralValue               	__decDoubleToIntegralValue
#define	decDoubleToPacked                      	__decDoubleToPacked
#define	decDoubleToString                      	__decDoubleToString
#define	decDoubleToUInt32                      	__decDoubleToUInt32
#define	decDoubleToUInt32Exact                 	__decDoubleToUInt32Exact
#define	decDoubleToWider                       	__decDoubleToWider
#define	decDoubleVersion                       	__decDoubleVersion
#define	decDoubleXor                           	__decDoubleXor
#define	decDoubleZero                          	__decDoubleZero
#define	decNumberAbs                           	__decNumberAbs
#define	decNumberAdd                           	__decNumberAdd
#define	decNumberAnd                           	__decNumberAnd
#define	decNumberClass                         	__decNumberClass
#define	decNumberClassToString                 	__decNumberClassToString
#define	decNumberCompare                       	__decNumberCompare
#define	decNumberCompareSignal                 	__decNumberCompareSignal
#define	decNumberCompareTotal                  	__decNumberCompareTotal
#define	decNumberCompareTotalMag               	__decNumberCompareTotalMag
#define	decNumberCopy                          	__decNumberCopy
#define	decNumberCopyAbs                       	__decNumberCopyAbs
#define	decNumberCopyNegate                    	__decNumberCopyNegate
#define	decNumberCopySign                      	__decNumberCopySign
#define	decNumberDivide                        	__decNumberDivide
#define	decNumberDivideInteger                 	__decNumberDivideInteger
#define	decNumberExp                           	__decNumberExp
#define	decNumberFMA                           	__decNumberFMA
#define	decNumberFromInt32                     	__decNumberFromInt32
#define	decNumberFromString                    	__decNumberFromString
#define	decNumberFromUInt32                    	__decNumberFromUInt32
#define	decNumberGetBCD                        	__decNumberGetBCD
#define	decNumberInvert                        	__decNumberInvert
#define	decNumberIsNormal                      	__decNumberIsNormal
#define	decNumberIsSubnormal                   	__decNumberIsSubnormal
#define	decNumberLn                            	__decNumberLn
#define	decNumberLog10                         	__decNumberLog10
#define	decNumberLogB                          	__decNumberLogB
#define	decNumberMax                           	__decNumberMax
#define	decNumberMaxMag                        	__decNumberMaxMag
#define	decNumberMin                           	__decNumberMin
#define	decNumberMinMag                        	__decNumberMinMag
#define	decNumberMinus                         	__decNumberMinus
#define	decNumberMultiply                      	__decNumberMultiply
#define	decNumberNextMinus                     	__decNumberNextMinus
#define	decNumberNextPlus                      	__decNumberNextPlus
#define	decNumberNextToward                    	__decNumberNextToward
#define	decNumberNormalize                     	__decNumberNormalize
#define	decNumberOr                            	__decNumberOr
#define	decNumberPlus                          	__decNumberPlus
#define	decNumberPower                         	__decNumberPower
#define	decNumberQuantize                      	__decNumberQuantize
#define	decNumberReduce                        	__decNumberReduce
#define	decNumberRemainder                     	__decNumberRemainder
#define	decNumberRemainderNear                 	__decNumberRemainderNear
#define	decNumberRescale                       	__decNumberRescale
#define	decNumberRotate                        	__decNumberRotate
#define	decNumberSameQuantum                   	__decNumberSameQuantum
#define	decNumberScaleB                        	__decNumberScaleB
#define	decNumberSetBCD                        	__decNumberSetBCD
#define	decNumberShift                         	__decNumberShift
#define	decNumberSquareRoot                    	__decNumberSquareRoot
#define	decNumberSubtract                      	__decNumberSubtract
#define	decNumberToEngString                   	__decNumberToEngString
#define	decNumberToInt32                       	__decNumberToInt32
#define	decNumberToIntegralExact               	__decNumberToIntegralExact
#define	decNumberToIntegralValue               	__decNumberToIntegralValue
#define	decNumberToString                      	__decNumberToString
#define	decNumberToUInt32                      	__decNumberToUInt32
#define	decNumberTrim                          	__decNumberTrim
#define	decNumberVersion                       	__decNumberVersion
#define	decNumberXor                           	__decNumberXor
#define	decNumberZero                          	__decNumberZero
#define	decPackedFromNumber                    	__decPackedFromNumber
#define	decPackedToNumber                      	__decPackedToNumber
#define	decQuadAbs                             	__decQuadAbs
#define	decQuadAdd                             	__decQuadAdd
#define	decQuadAnd                             	__decQuadAnd
#define	decQuadCanonical                       	__decQuadCanonical
#define	decQuadClass                           	__decQuadClass
#define	decQuadClassString                     	__decQuadClassString
#define	decQuadCompare                         	__decQuadCompare
#define	decQuadCompareSignal                   	__decQuadCompareSignal
#define	decQuadCompareTotal                    	__decQuadCompareTotal
#define	decQuadCompareTotalMag                 	__decQuadCompareTotalMag
#define	decQuadCopy                            	__decQuadCopy
#define	decQuadCopyAbs                         	__decQuadCopyAbs
#define	decQuadCopyNegate                      	__decQuadCopyNegate
#define	decQuadCopySign                        	__decQuadCopySign
#define	decQuadDigits                          	__decQuadDigits
#define	decQuadDivide                          	__decQuadDivide
#define	decQuadDivideInteger                   	__decQuadDivideInteger
#define	decQuadFMA                             	__decQuadFMA
#define	decQuadFromBCD                         	__decQuadFromBCD
#define	decQuadFromInt32                       	__decQuadFromInt32
#define	decQuadFromPacked                      	__decQuadFromPacked
#define	decQuadFromPackedChecked               	__decQuadFromPackedChecked
#define	decQuadFromString                      	__decQuadFromString
#define	decQuadFromUInt32                      	__decQuadFromUInt32
#define	decQuadGetCoefficient                  	__decQuadGetCoefficient
#define	decQuadGetExponent                     	__decQuadGetExponent
#define	decQuadInvert                          	__decQuadInvert
#define	decQuadIsCanonical                     	__decQuadIsCanonical
#define	decQuadIsFinite                        	__decQuadIsFinite
#define	decQuadIsInfinite                      	__decQuadIsInfinite
#define	decQuadIsInteger                       	__decQuadIsInteger
#define	decQuadIsNaN                           	__decQuadIsNaN
#define	decQuadIsNormal                        	__decQuadIsNormal
#define	decQuadIsSignaling                     	__decQuadIsSignaling
#define	decQuadIsSignalling                    	__decQuadIsSignalling
#define	decQuadIsSigned                        	__decQuadIsSigned
#define	decQuadIsSubnormal                     	__decQuadIsSubnormal
#define	decQuadIsZero                          	__decQuadIsZero
#define	decQuadLogB                            	__decQuadLogB
#define	decQuadMax                             	__decQuadMax
#define	decQuadMaxMag                          	__decQuadMaxMag
#define	decQuadMin                             	__decQuadMin
#define	decQuadMinMag                          	__decQuadMinMag
#define	decQuadMinus                           	__decQuadMinus
#define	decQuadMultiply                        	__decQuadMultiply
#define	decQuadNextMinus                       	__decQuadNextMinus
#define	decQuadNextPlus                        	__decQuadNextPlus
#define	decQuadNextToward                      	__decQuadNextToward
#define	decQuadOr                              	__decQuadOr
#define	decQuadPlus                            	__decQuadPlus
#define	decQuadQuantize                        	__decQuadQuantize
#define	decQuadRadix                           	__decQuadRadix
#define	decQuadReduce                          	__decQuadReduce
#define	decQuadRemainder                       	__decQuadRemainder
#define	decQuadRemainderNear                   	__decQuadRemainderNear
#define	decQuadRotate                          	__decQuadRotate
#define	decQuadSameQuantum                     	__decQuadSameQuantum
#define	decQuadScaleB                          	__decQuadScaleB
#define	decQuadSetCoefficient                  	__decQuadSetCoefficient
#define	decQuadSetExponent                     	__decQuadSetExponent
#define	decQuadShift                           	__decQuadShift
#define	decQuadShow                            	__decQuadShow
#define	decQuadSubtract                        	__decQuadSubtract
#define	decQuadToBCD                           	__decQuadToBCD
#define	decQuadToEngString                     	__decQuadToEngString
#define	decQuadToInt32                         	__decQuadToInt32
#define	decQuadToInt32Exact                    	__decQuadToInt32Exact
#define	decQuadToIntegralExact                 	__decQuadToIntegralExact
#define	decQuadToIntegralValue                 	__decQuadToIntegralValue
#define	decQuadToPacked                        	__decQuadToPacked
#define	decQuadToString                        	__decQuadToString
#define	decQuadToUInt32                        	__decQuadToUInt32
#define	decQuadToUInt32Exact                   	__decQuadToUInt32Exact
#define	decQuadVersion                         	__decQuadVersion
#define	decQuadXor                             	__decQuadXor
#define	decQuadZero                            	__decQuadZero
#define	decSingleFromBCD                       	__decSingleFromBCD
#define	decSingleFromPacked                    	__decSingleFromPacked
#define	decSingleFromPackedChecked             	__decSingleFromPackedChecked
#define	decSingleFromString                    	__decSingleFromString
#define	decSingleFromWider                     	__decSingleFromWider
#define	decSingleGetCoefficient                	__decSingleGetCoefficient
#define	decSingleGetExponent                   	__decSingleGetExponent
#define	decSingleRadix                         	__decSingleRadix
#define	decSingleSetCoefficient                	__decSingleSetCoefficient
#define	decSingleSetExponent                   	__decSingleSetExponent
#define	decSingleShow                          	__decSingleShow
#define	decSingleToBCD                         	__decSingleToBCD
#define	decSingleToEngString                   	__decSingleToEngString
#define	decSingleToPacked                      	__decSingleToPacked
#define	decSingleToString                      	__decSingleToString
#define	decSingleToWider                       	__decSingleToWider
#define	decSingleVersion                       	__decSingleVersion
#define	decSingleZero                          	__decSingleZero
#define	decimal128Canonical                    	__decimal128Canonical
#define	decimal128FromNumber                   	__decimal128FromNumber
#define	decimal128FromString                   	__decimal128FromString
#define	decimal128IsCanonical                  	__decimal128IsCanonical
#define	decimal128ToEngString                  	__decimal128ToEngString
#define	decimal128ToNumber                     	__decimal128ToNumber
#define	decimal128ToString                     	__decimal128ToString
#define	decimal32Canonical                     	__decimal32Canonical
#define	decimal32FromNumber                    	__decimal32FromNumber
#define	decimal32FromString                    	__decimal32FromString
#define	decimal32IsCanonical                   	__decimal32IsCanonical
#define	decimal32ToEngString                   	__decimal32ToEngString
#define	decimal32ToNumber                      	__decimal32ToNumber
#define	decimal32ToString                      	__decimal32ToString
#define	decimal64Canonical                     	__decimal64Canonical
#define	decimal64FromNumber                    	__decimal64FromNumber
#define	decimal64FromString                    	__decimal64FromString
#define	decimal64IsCanonical                   	__decimal64IsCanonical
#define	decimal64ToEngString                   	__decimal64ToEngString
#define	decimal64ToNumber                      	__decimal64ToNumber
#define	decimal64ToString                      	__decimal64ToString

#endif /* !defined(DECWRAP_H) */
